Products
List Products
List and search the product catalog
GET
/
products
cURL
curl --request GET \
--url https://api.beachdepository.com/v1/products?page=1&limit=25 \
--header 'Authorization: Bearer <token>'
const response = await fetch("https://api.beachdepository.com/v1/products?page=1&limit=25", {
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
})
const data = await response.json()
import requests
response = requests.get(
"https://api.beachdepository.com/v1/products?page=1&limit=25",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/products?page=1&limit=25"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": [
{
"id": "jh7prod123",
"title": "1 oz Gold Bar - PAMP Suisse",
"sku": "PAMP-1OZ-GOLD",
"productType": "precious_metal",
"subcategory": "Gold Bars",
"isSerialized": true,
"insuredValueCents": "412350",
"images": [
{
"url": "https://files.beachdepository.com/products/pamp-1oz-gold-front.jpg",
"label": "primary"
},
{
"url": "https://files.beachdepository.com/products/pamp-1oz-gold-back.jpg",
"label": "image-2"
}
],
"createdAt": "2025-04-01T14:00:00Z"
}
],
"pagination": {
"page": 1,
"hasMore": false
}
}
Returns a paginated list of catalog products. Beach adds products to the catalog.
insuredValueCents is the current insured value of one unit, in cents.
Authorizations
string
required
Send
Bearer <token> in this header. The key needs inventory:read.Query Parameters
number
default:"1"
number
default:"25"
string
Search products by title or SKU.
string
Filter by product type. One of
precious_metal, numismatic, miscellaneous.cURL
curl --request GET \
--url https://api.beachdepository.com/v1/products?page=1&limit=25 \
--header 'Authorization: Bearer <token>'
const response = await fetch("https://api.beachdepository.com/v1/products?page=1&limit=25", {
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
})
const data = await response.json()
import requests
response = requests.get(
"https://api.beachdepository.com/v1/products?page=1&limit=25",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/products?page=1&limit=25"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": [
{
"id": "jh7prod123",
"title": "1 oz Gold Bar - PAMP Suisse",
"sku": "PAMP-1OZ-GOLD",
"productType": "precious_metal",
"subcategory": "Gold Bars",
"isSerialized": true,
"insuredValueCents": "412350",
"images": [
{
"url": "https://files.beachdepository.com/products/pamp-1oz-gold-front.jpg",
"label": "primary"
},
{
"url": "https://files.beachdepository.com/products/pamp-1oz-gold-back.jpg",
"label": "image-2"
}
],
"createdAt": "2025-04-01T14:00:00Z"
}
],
"pagination": {
"page": 1,
"hasMore": false
}
}
⌘I
cURL
curl --request GET \
--url https://api.beachdepository.com/v1/products?page=1&limit=25 \
--header 'Authorization: Bearer <token>'
const response = await fetch("https://api.beachdepository.com/v1/products?page=1&limit=25", {
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
})
const data = await response.json()
import requests
response = requests.get(
"https://api.beachdepository.com/v1/products?page=1&limit=25",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/products?page=1&limit=25"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": [
{
"id": "jh7prod123",
"title": "1 oz Gold Bar - PAMP Suisse",
"sku": "PAMP-1OZ-GOLD",
"productType": "precious_metal",
"subcategory": "Gold Bars",
"isSerialized": true,
"insuredValueCents": "412350",
"images": [
{
"url": "https://files.beachdepository.com/products/pamp-1oz-gold-front.jpg",
"label": "primary"
},
{
"url": "https://files.beachdepository.com/products/pamp-1oz-gold-back.jpg",
"label": "image-2"
}
],
"createdAt": "2025-04-01T14:00:00Z"
}
],
"pagination": {
"page": 1,
"hasMore": false
}
}